# Ubuntu 16.04 has facter (version 2.4.6) configured to print out
# Ruby-encoded facts, but Puppet (version 3.8.5) doesn't parse them.
# Fix is in puppet.conf as per
# https://github.com/open-io/puppet-openiosds/issues/1#issue-125610558

class quirks::private::subquirks::unbreak_structured_facts
inherits ::quirks::private::params {
  $_os = $::quirks::private::params::os
  case "${_os['name']} ${_os['release']['major']}" {
    "Ubuntu 16.04": {
      if (is_string($::os)) {
        exec { "Ensure stringify_facts=false is present in ${main_puppet_conf}":
          path => $::path,
          command => "sed -i '/^\\[master\\]/i stringify_facts=false' ${main_puppet_conf};
                      if ! grep stringify_facts=false ${main_puppet_conf}; then
                         echo stringify_facts=false >> ${main_puppet_conf}
                      fi"
        }  # exec
      }  # if
    }  # "Ubuntu 16.04"
  }  # case
}  # class
